Redmine - Defect #6438

Autologin cannot be disabled again once it's enabled
2010-09-20 12:44 - Anonymous

Status: Closed Start date: 2010-09-20
Priority: Low Due date:

Assignee: Felix Schafer % Done: 0%
Category: Administration Estimated time: 0.00 hour
Target version: 1.0.3

Resolution: Fixed Affected version: 1.0.1
Description

We have enabled the AutoLogin feature so that people don't have to enter their credentials each time they go to Redmine. When
playing with it, | realized that it cannot be deactivated again. It save the settings page without giving any error but does not change
the field. | also checked and it really is not deactivated.

It is possible to change the lease time though.

See also this discussion

Associated revisions

Revision 4306 - 2010-10-30 00:28 - Jean-Baptiste Barth
Fixed: disabling autologin not persisted. #6438

Contributed by Felix Schafer

History

#1 - 2010-09-29 22:00 - Felix Schéafer

- Target version set to 1.0.3

JB, Eric: the commit for this is here: http://github.com/thegcat/redmine/commit/7ab0baa96a93f0c50d0bc99cefcb52e6fdcbalf4

The change is small: it forces the select list to return 0 instead of " for "autologin disabled". The problem with having an empty string returned for
autologin is that autologin is defined as an int in the settings and thus checked for numericality, which fails for the empty string.

Jan, if you feel up to applying a patch to your installation, here's the diff:

diff --git a/app/views/settings/_authentication.rhtml b/app/views/settings/_authentication.rhtml
index da29bb7..1122053 100644
—-—— a/app/views/settings/_authentication.rhtml
+++ b/app/views/settings/_authentication.rhtml
@@ -3,7 +3,7 @@
<div class="box tabular settings">
<p><%= setting_check_box :login_required %></p>

—<p><%= setting_select :autologin, [1, 7, 30, 365].collect{|days| [l('datetime.distance_in_words.x_days', :cou
nt => days), days.to_sl]}, :blank => :label_disabled %></p>
+<p><%= setting_select :autologin, [[1l(:label_disabled), 0]] + [1, 7, 30, 365].collect{|days| [l('datetime.dis
tance_in_words.x_days', :count => days), days.to_s]} %></p>

<p><%= setting_select :self_registration, [[l(:label_disabled), "O0"1],
[1(:label_registration_ac
tivation_by_email), "1"],

#2 - 2010-09-30 14:33 - Anonymous

Many thanks for your efforts! | will wait for that version, it's not really a work hindering bug, | just noticed it and thought it might be worth reporting.
Thanks for being so superquick.

#3 - 2010-10-30 00:22 - Jean-Baptiste Barth
- Status changed from New to Resolved

- Resolution set to Fixed
http://www.redmine.org/boards/2/topics/17319?r=17480#message-17480
http://github.com/thegcat/redmine/commit/7ab0baa96a93f0c50d0bc99cefcb52e6fdcba1f4

Applied in r4306, thanks.

#4 - 2010-11-01 01:22 - Eric Davis

- Status changed from Resolved to Closed

Merged into 1.0-stable for release in 1.0.3
